Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class ConcurrentReaderHashMap.HashIterator

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

All Implemented Interfaces:
  Iterator, Enumeration

    protected class ConcurrentReaderHashMap.HashIterator

Field Summary
`protected Object` | `currentKey`
`protected Object` | `currentValue`
`protected Entry` | `entry`
`protected int` | `index`
`protected Entry` | `lastReturned`
`protected Entry[]` | `tab`

Constructor Summary
`protected ConcurrentReaderHashMap.HashIterator()`

Method Summary
`boolean` | `hasMoreElements()`
`boolean` | `hasNext()`
`Object` | `next()`
`Object` | `nextElement()`
`void` | `remove()`
`protected Object` | `returnValueOfNext()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### currentKey

    protected Object currentKey

### currentValue

    protected Object currentValue

### entry

    protected Entry entry

### index

    protected int index

### lastReturned

    protected Entry lastReturned

### tab

    protected final Entry[] tab

Constructor Detail

### ConcurrentReaderHashMap.HashIterator

    protected ConcurrentReaderHashMap.HashIterator()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

### hasNext

    public boolean hasNext()

### next

    public Object next()

### nextElement

    public Object nextElement()

### remove

    public void remove()

### returnValueOfNext

    protected Object returnValueOfNext()

Copyright © 2003-2010 The Codehaus. All rights reserved.